aboutsummaryrefslogtreecommitdiff
path: root/test/leakcheck-full.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/leakcheck-full.sh')
-rwxr-xr-xtest/leakcheck-full.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/test/leakcheck-full.sh b/test/leakcheck-full.sh
new file mode 100755
index 0000000..db2f452
--- /dev/null
+++ b/test/leakcheck-full.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+set -e
+../build.sh
+cd `dirname $0`/..
+mkdir -p build/tmp/leakcheck-full
+valgrind --leak-check=full --show-leak-kinds=all \
+ bin/flatcc_d -a -o build/tmp/leakcheck-full --prefix zzz --common-prefix \
+ hello test/monster_test/monster_test.fbs